org.springframework.web.socket.handler

## Class BinaryWebSocketHandler

- java.lang.Object
- - org.springframework.web.socket.handler.AbstractWebSocketHandler
  - - org.springframework.web.socket.handler.BinaryWebSocketHandler

All Implemented Interfaces:
  WebSocketHandler

    public class BinaryWebSocketHandler
    extends AbstractWebSocketHandler

A convenient base class for `WebSocketHandler` implementations that process binary messages only.

Text messages are rejected with `CloseStatus.NOT_ACCEPTABLE`. All other methods have empty implementations.

Since:
  4.0
Author:
  Rossen Stoyanchev, Phillip Webb

### Constructor Summary

Constructors
Constructor and Description
`BinaryWebSocketHandler()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `handleTextMessage(WebSocketSession session, TextMessage message)`

### Methods inherited from class org.springframework.web.socket.handler.AbstractWebSocketHandler

`afterConnectionClosed, afterConnectionEstablished, handleBinaryMessage, handleMessage, handlePongMessage, handleTransportError, supportsPartialMessages`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BinaryWebSocketHandler

    public BinaryWebSocketHandler()

### Method Detail

#### handleTextMessage

    protected void handleTextMessage(WebSocketSession session,
                                     TextMessage message)

Overrides:
  `handleTextMessage` in class `AbstractWebSocketHandler`